org.apache.cassandra.utils

## Class JVMStabilityInspector

- java.lang.Object
- - org.apache.cassandra.utils.JVMStabilityInspector

    public final class JVMStabilityInspector
    extends java.lang.Object

Responsible for deciding whether to kill the JVM if it gets in an "unstable" state (think OOM).

### Nested Class Summary

Nested Classes
`static class` `JVMStabilityInspector.Killer`

### Method Summary

All Methods Static Methods Concrete Methods
`static void` `inspectCommitLogThrowable(java.lang.Throwable t)`
`static void` `inspectThrowable(java.lang.Throwable t)` Certain Throwables and Exceptions represent "Die" conditions for the server.
`static void` `killCurrentJVM(java.lang.Throwable t, boolean quiet)`
`static JVMStabilityInspector.Killer` `replaceKiller(JVMStabilityInspector.Killer newKiller)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### inspectThrowable

    public static void inspectThrowable(java.lang.Throwable t)

Certain Throwables and Exceptions represent "Die" conditions for the server. This recursively checks the input Throwable's cause hierarchy until null.

Parameters:
  `t` - The Throwable to check for server-stop conditions

#### inspectCommitLogThrowable

    public static void inspectCommitLogThrowable(java.lang.Throwable t)

#### killCurrentJVM

    public static void killCurrentJVM(java.lang.Throwable t,
                                      boolean quiet)

#### replaceKiller

    public static JVMStabilityInspector.Killer replaceKiller(JVMStabilityInspector.Killer newKiller)